<?php

namespace App\Models;

use CodeIgniter\Model;

class OrderModel extends Model
{
    protected $table = 'orders';
    protected $primaryKey = 'id';
    protected $allowedFields = ['quantity', 'total_price', 'save_at'];

   ///เรท 228 ได้ 1000 บาท
     public function calculatePrice228($quantity)
{
        $total_price = 0;

        if ($quantity >= 0 && $quantity <= 69) {
            $total_price = 0;
        } elseif ($quantity >= 70 && $quantity <= 89) {
            $total_price = 5 * ($quantity - 70 + 1); // คิดค่าตามจำนวนชิ้นที่ 70-89
        } elseif ($quantity >= 90 && $quantity <= 159) {
            $total_price = 5 * 20 + 6 * ($quantity - 90 + 1); // คิดค่าตามจำนวนชิ้นที่ 90-159
        } else { // จำนวนชิ้นที่ 160 ขึ้นไป
            $total_price = 5 * 20 + 6 * 70 + 7 * ($quantity - 160 + 1); // คิดค่าตามจำนวนชิ้นที่ 160 ขึ้นไป
        }

        return $total_price;
    }
    // ฟังก์ชันคำนวณยอดเงินตามจำนวนชิ้น ปรับเรททดลองใหม่ล่าสุด
    public function calculatePrice($quantity)
{
        $total_price = 0;

        if ($quantity >= 0 && $quantity <= 69) {
            $total_price = 0; // 0 บาทสำหรับชิ้นที่ 0-69
        } elseif ($quantity >= 70 && $quantity <= 149) {
            $total_price = 5 * ($quantity - 69); // 5 บาทสำหรับชิ้นที่ 70-149
        } elseif ($quantity >= 150 && $quantity <= 209) {
            $total_price = (5 * 80) + 6 * ($quantity - 149); // 5 บาทสำหรับ 80 ชิ้นแรก และ 6 บาทสำหรับชิ้นที่ 150-209
        } else { // ชิ้นที่ 210 ขึ้นไป
            $total_price = (5 * 80) + (6 * 60) + 7 * ($quantity - 209); // 5 บาทสำหรับ 80 ชิ้นแรก + 6 บาทสำหรับ 60 ชิ้นถัดไป + 7 บาทสำหรับชิ้นที่ 210 ขึ้นไป
        }

        return $total_price;
    }

}
